=== debian/changelog ===
mumps (5.4.1-2) unstable; urgency=medium

  * Team upload.
  * release MUMPS 5.4 to unstable

 -- Drew Parsons <dparsons@debian.org>  Sun, 17 Oct 2021 08:59:35 +0200

mumps (5.4.1-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Standards-Version: 4.6.0

 -- Drew Parsons <dparsons@debian.org>  Wed, 15 Sep 2021 13:39:26 +0200

mumps (5.4.0-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release (ABI bump from 5.3 to 5.4).

 -- Drew Parsons <dparsons@debian.org>  Sun, 18 Apr 2021 19:25:42 +0200
